Skip to main content
POST
/
:projectId
/
api
/
v7
/
spaces
/
:spaceId
/
join
Join Space
curl --request POST \
  --url https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/join
{
  "message": "<string>",
  "membership": {
    "id": "<string>",
    "spaceId": "<string>",
    "userId": "<string>",
    "role": "<string>",
    "status": "<string>",
    "joinedAt": "<string>"
  }
}
Joins a space. If the space has requireJoinApproval: true, the membership is created with status: "pending" until approved. Otherwise it is immediately active.

Path Parameters

spaceId
string
required
UUID of the space to join.

Response

message
string
Confirmation message.
membership
object

Error Responses

{ "error": "Space not found.", "code": "space/not-found" }
{ "error": "You are banned from this space.", "code": "space/banned" }
{ "error": "You are already a member of this space.", "code": "space/already-member" }
See also: useJoinSpace